Index: tidy-html5-5.4.0/tests/tools-sh/t1.sh
===================================================================
--- tidy-html5-5.4.0.orig/tests/tools-sh/t1.sh
+++ tidy-html5-5.4.0/tests/tools-sh/t1.sh
@@ -176,6 +176,7 @@ if [ "$ERRCNT" = "0" ]; then
else
echo "$BN: Carefully REVIEW the above differences on $TMPCASE $TMPEXIT! *** ACTION REQUIRED ***"
echo "$BN: Carefully REVIEW the above differences on $TMPCASE $TMPEXIT! *** ACTION REQUIRED ***" >> "${TY_RESULTS_FILE}"
+ exit 1
fi
echo ""
echo "# eof" >> "${TY_RESULTS_FILE}"
Index: tidy-html5-5.4.0/tests/tools-sh/testall.sh
===================================================================
--- tidy-html5-5.4.0.orig/tests/tools-sh/testall.sh
+++ tidy-html5-5.4.0/tests/tools-sh/testall.sh
@@ -56,7 +56,7 @@ echo "==================================
while read bugNo expected
do
# echo Testing $bugNo | tee -a "${TY_RESULTS_FILE}"
- ./testone.sh $bugNo $expected | tee -a "${TY_RESULTS_FILE}"
+ ./testone.sh $bugNo $expected || exit 1
done < $TMPINP
echo "========================================" >> "${TY_RESULTS_FILE}"